<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'islhd',

    /*
     * Package.
     */
    'package'   => 'store',

    /*
     * Modules.
     */
    'modules'   => ['store', 'stock'],

    'store'       => [
        'model' => [
            'model'                 => \Islhd\Store\Models\Store::class,
            'table'                 => 'stores',
            'presenter'             => \Islhd\Store\Repositories\Presenter\StorePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'site_id',  'department_id',  'name',  'details',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'store/store',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Islhd',
            'package'   => 'Store',
            'module'    => 'Store',
        ],

    ],
    'stock'       => [
        'model' => [
            'model'                 => \Islhd\Store\Models\Stock::class,
            'table'                 => 'stocks',
            'presenter'             => \Islhd\Store\Repositories\Presenter\StockPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'store_id',  'product_id',  'stock_in',  'stock_out',  'price',  'date',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'store/stock',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Islhd',
            'package'   => 'Store',
            'module'    => 'Stock',
        ],

    ],
];
