<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateStocksTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: stocks
         */
        Schema::create('stocks', function ($table) {
            $table->increments('id');
            $table->integer('store_id')->nullable();
            $table->integer('product_id')->nullable();
            $table->decimal('stock_in', 10,2)->nullable();
            $table->decimal('stock_out', 10,2)->nullable();
            $table->increments('price')->nullable();
            $table->date('date')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('stocks');
    }
}
