Lavalite package that provides store management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `islhd/store`.

    "islhd/store": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Islhd\Store\Providers\StoreServiceProvider::class,

And also add it to alias

    'Store'  => Islhd\Store\Facades\Store::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Islhd\\StoreTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Islhd\Store\Providers\StoreServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Islhd\Store\Providers\StoreServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Islhd\Store\Providers\StoreServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/store/{modulename}

**User**

    http://path-to-route-folder/user/store/{modulename}

**Public**

    http://path-to-route-folder/stores


### API endpoints

**List**

    http://path-to-route-folder/api/user/store/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/store/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/store/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/store/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/store/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/store/{modulename}/{slug}
    METHOD: GET