<?php

namespace Islhd\Store\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class StockTransformer extends TransformerAbstract
{
    public function transform(\Islhd\Store\Models\Stock $stock)
    {
        return [
            'id'                => $stock->getRouteKey(),
            'key'               => [
                'public'    => $stock->getPublicKey(),
                'route'     => $stock->getRouteKey(),
            ], 
            'store_id'          => $stock->store_id,
            'product_id'        => $stock->product_id,
            'stock_in'          => $stock->stock_in,
            'stock_out'         => $stock->stock_out,
            'price'             => $stock->price,
            'date'              => $stock->date,
            'deleted_at'        => $stock->deleted_at,
            'url'               => [
                'public'    => trans_url('store/'.$stock->getPublicKey()),
                'user'      => guard_url('store/stock/'.$stock->getRouteKey()),
            ], 
            'status'            => trans('app.'.$stock->status),
            'created_at'        => format_date($stock->created_at),
            'updated_at'        => format_date($stock->updated_at),
        ];
    }
}