<?php

namespace Islhd\Store\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class StoreTransformer extends TransformerAbstract
{
    public function transform(\Islhd\Store\Models\Store $store)
    {
        return [
            'id'                => $store->getRouteKey(),
            'key'               => [
                'public'    => $store->getPublicKey(),
                'route'     => $store->getRouteKey(),
            ], 
            'site_id'           => $store->site_id,
            'department_id'     => $store->department_id,
            'name'              => $store->name,
            'details'           => $store->details,
            'user_id'           => $store->user_id,
            'user_type'         => $store->user_type,
            'deleted_at'        => $store->deleted_at,
            'url'               => [
                'public'    => trans_url('store/'.$store->getPublicKey()),
                'user'      => guard_url('store/store/'.$store->getRouteKey()),
            ], 
            'status'            => trans('app.'.$store->status),
            'created_at'        => format_date($store->created_at),
            'updated_at'        => format_date($store->updated_at),
        ];
    }
}